This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 468982 - Hugepage allocation failed on PS3
Hugepage allocation failed on PS3
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 07:13 EDT by NISHIMURA Ryōhei
Modified: 2008-11-19 09:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-19 09:55:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description NISHIMURA Ryōhei 2008-10-29 07:13:17 EDT
Description of problem:
Huge pages could not be allocated on PLAYSTATION 3 with kernel-2.6.26.5-45.fc9 and the newer. The hugepages kernel boot parameter and /proc/sys/vm/nr_hugepages did not work. After these attempts, the htlb_buddy_alloc_fail counter in /proc/vmstat increased.

Version-Release number of selected component (if applicable):
kernel-2.6.26.5-45.fc9 and the newer

How reproducible:
Always

Steps to Reproduce:
1. To set the hugepages kernel boot parameter or /proc/sys/vm/nr_hugepages.
2.
3.
  
Actual results:
The hugepage allocation failed.

Expected results:
Huge pages should be allocated.

Additional info:
With kernel-2.6.25-14.fc9, hugepage allocation succeeded normally.
Comment 1 NISHIMURA Ryōhei 2008-11-12 22:52:14 EST
In order to avoid this bug, set 13 into the CONFIG_FORCE_MAX_ZONEORDER kernel option in which is set 11 at kernel-2.6.26.5-4.fc9.
Comment 2 Dave Jones 2008-11-13 10:58:18 EST
committed for F9/F10 and devel.
Comment 3 Fedora Update System 2008-11-19 09:54:55 EST
kernel-2.6.27.5-41.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.